package aliyun.demo.car;

/**
 * ȡƷƽӿ
 */
import java.util.HashMap;
import java.util.Map;

import org.apache.http.HttpResponse;
import org.apache.http.util.EntityUtils;

import aliyun.util.HttpUtils;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

public class BrandDemo {
	public final static String host = "http://jisucxdq.market.alicloudapi.com";

	public static void main(String[] args) throws Exception {
		String path = "/car/brand";
		Map<String, String> headers = new HashMap<String, String>();
		headers.put("Authorization", "APPCODE ԼAppCode");

		// query
		Map<String, String> querys = new HashMap<String, String>();
		try {
			HttpResponse response = HttpUtils.doGet(host, path, "GET", headers, querys);
			// response Head
			// System.out.println(response.toString());
			String result = EntityUtils.toString(response.getEntity());
			JSONObject json = JSONObject.fromObject(result);
			if (json.getInt("status") != 0) {
				System.out.println(json.getString("msg"));
			} else {
				JSONArray resultarr = json.optJSONArray("result");
				for (int i = 0; i < resultarr.size(); i++) {
					JSONObject obj = (JSONObject) resultarr.opt(i);
					String id = obj.getString("id");
					String name = obj.getString("name");
					String initial = obj.getString("initial");
					String parentid = obj.getString("parentid");
					String logo = obj.getString("logo");
					String depth = obj.getString("depth");
					System.out.println(id + " " + name + " " + initial + " " + parentid + " " + logo + " " + depth);
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
